Name:		p7zip
Version:	17.04
Release:	%mkrel 1
Summary:	7-zip compatible compression program
License:	LGPLv2+
Group:		Archiving/Compression
# https://sourceforge.net/projects/p7zip/
Url:		https://github.com/jinfeihan57/p7zip
Source0:	https://github.com/jinfeihan57/p7zip/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		p7zip-17.04-CVE-2021-3465.patch
Patch1:		0001-fix-data-null-pointer.patch
Patch2:		0001-fix-out-of-mem.patch
%ifarch %{ix86}
BuildRequires:	nasm
%endif
%ifarch x86_64
BuildRequires:	yasm
%endif

%description
p7zip is a port of 7za.exe for Unix. 7-Zip is a file archiver with
a high compression ratio.
This package contains a new p7zip fork with additional codecs and
improvements (forked from https://sourceforge.net/projects/p7zip/).

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%ifarch x86_64
cp makefile.linux_amd64_asm makefile.machine
%endif
%ifarch %{ix86}
cp makefile.linux_x86_asm_gcc_4.X makefile.machine
%endif
%ifarch ppc ppc64
cp -f makefile.linux_any_cpu_gcc_4.X makefile.machine
%endif

find DOC -type d|xargs chmod 755
find README ChangeLog TODO DOC -type f|xargs chmod 644
#gw don't package this, it is non-free like unrar
find . -name 'unRarLicense.txt' -delete
#fix wrong-file-end-of-line-encoding
find ./DOC/MANUAL -name 'style.css' -exec sed -i 's/\r$//' {} \;

%build
%make_build all3 OPTFLAGS="%{optflags}"

%install
%make_install \
	DEST_HOME=%{buildroot}%{_prefix} \
	DEST_MAN=%{buildroot}%{_mandir} \
	DEST_SHARE=%{buildroot}%{_libdir}/%{name}

chmod -R +w %{buildroot}
#gw don't package this, it is non-free like unrar
find %{buildroot} -name 'Rar*.so' -delete
#gw fix paths in wrapper scripts and man pages
perl -pi -e "s^%{buildroot}^^" %{buildroot}%{_bindir}/* %{buildroot}%{_mandir}/man1/*
#(daviddavid) remove unwanted packaged docs
rm -rf %{buildroot}%{_docdir}/%{name}/DOC

%files
%doc README ChangeLog TODO DOC/*
%{_bindir}/7za
%{_bindir}/7zr
%{_bindir}/7z
%{_libdir}/p7zip
%{_mandir}/man1/*


%changelog
* Thu Nov 03 2022 tex - 17.04-1pclos2022
- new version
